diff options
author | Tyler Davis <tydavis@gmail.com> | 2022-04-02 11:10:13 -0700 |
---|---|---|
committer | Tyler Davis <tydavis@gmail.com> | 2022-04-02 11:10:13 -0700 |
commit | f03cd5fb425ec38d776cf2d48a228da033af0f6a (patch) | |
tree | 2c7a581e5195ad1bf9eb980c53289e42a961a7a4 | |
parent | 73373de082c7ace4e46b874ec5c029f6e9a77256 (diff) | |
download | dotfiles-f03cd5fb425ec38d776cf2d48a228da033af0f6a.tar.gz dotfiles-f03cd5fb425ec38d776cf2d48a228da033af0f6a.zip |
brew,code: add postgres, limited updates to code
-rw-r--r-- | .setup/code-extensions | 1 | ||||
-rwxr-xr-x | .setup/installbrew.sh | 21 | ||||
-rw-r--r-- | .setup/list.brew | 3 |
3 files changed, 22 insertions, 3 deletions
diff --git a/.setup/code-extensions b/.setup/code-extensions index a5398a3..c7dd89e 100644 --- a/.setup/code-extensions +++ b/.setup/code-extensions @@ -9,6 +9,7 @@ matklad.rust-analyzer ms-python.python ms-python.vscode-pylance ms-toolsai.jupyter +ms-toolsai.jupyter-keymap ms-vscode-remote.remote-containers ms-vscode-remote.remote-ssh ms-vscode-remote.remote-ssh-edit diff --git a/.setup/installbrew.sh b/.setup/installbrew.sh index e3f23c0..0d5b51a 100755 --- a/.setup/installbrew.sh +++ b/.setup/installbrew.sh @@ -7,7 +7,7 @@ set -u abort() { - printf "%s\n" "$@" + printf "%s\n" "$@" >&2 exit 1 } @@ -256,7 +256,7 @@ ring_bell() { wait_for_user() { local c echo - echo "Press ${tty_bold}RETURN${tty_reset} to continue or any other key to abort:" + echo "Press ${tty_bold}RETURN${tty_reset}/${tty_bold}ENTER${tty_reset} to continue or any other key to abort:" getc c # we test for \r and \n because some stuff does \r instead if ! [[ "${c}" == $'\r' || "${c}" == $'\n' ]] @@ -759,6 +759,12 @@ then additional_shellenv_commands+=("export HOMEBREW_CORE_GIT_REMOTE=\"${HOMEBREW_CORE_GIT_REMOTE}\"") fi +if [[ -n "${HOMEBREW_INSTALL_FROM_API-}" ]] +then + ohai "HOMEBREW_INSTALL_FROM_API is set." + echo "Homebrew/homebrew-core will not be tapped during this ${tty_bold}install${tty_reset} run." +fi + if [[ -z "${NONINTERACTIVE-}" ]] then ring_bell @@ -916,7 +922,16 @@ ohai "Downloading and installing Homebrew..." fi fi - if [[ ! -d "${HOMEBREW_CORE}" ]] + if [[ -n "${HOMEBREW_INSTALL_FROM_API-}" ]] + then + # shellcheck disable=SC2016 + ohai 'Skip tapping homebrew/core because `$HOMEBREW_INSTALL_FROM_API` is set.' + # Unset HOMEBREW_DEVELOPER since it is no longer needed and causes warnings during brew update below + if [[ -n "${HOMEBREW_ON_LINUX-}" && (-n "${HOMEBREW_CURL_PATH-}" || -n "${HOMEBREW_GIT_PATH-}") ]] + then + export -n HOMEBREW_DEVELOPER + fi + elif [[ ! -d "${HOMEBREW_CORE}" ]] then ohai "Tapping homebrew/core" ( diff --git a/.setup/list.brew b/.setup/list.brew index c5f6e4f..a58044e 100644 --- a/.setup/list.brew +++ b/.setup/list.brew @@ -11,6 +11,8 @@ gh gnu-sed gnu-tar go +icu4c +krb5 kubernetes-cli libssh2 libtermkey @@ -33,6 +35,7 @@ pcre pcre2 pkg-config popt +postgresql protobuf python@3.10 python@3.9 |